# $Revision: 1.77 $, $Date: 2009/07/04 13:03:22 $
# TODO: check status of 64bit.patch (now is rejected).
%define		module	PyQt
%define		sipver	2:4.8
Summary:	Python bindings for the Qt toolkit
Summary(ko.UTF-8):	Qt의 파이썬 모듈
Summary(pl.UTF-8):	Dowiązania do toolkitu Qt dla Pythona
Name:		python-%{module}
Version:	3.18.1
Release:	1
License:	GPL v2
Group:		Libraries/Python
Source0:	http://www.riverbankcomputing.co.uk/static/Downloads/PyQt3/PyQt-x11-gpl-%{version}.tar.gz
# Source0-md5:	f1d120495d1aaf393819e988c0a7bb7e
# Patch0:		%{name}-64bit.patch
URL:		http://www.riverbankcomputing.co.uk/pyqt/index.php
BuildRequires:	OpenGL-devel
BuildRequires:	python-devel >= 2.2.2
BuildRequires:	python-sip-devel >= %{sipver}
BuildRequires:	qmake
BuildRequires:	qscintilla-devel >= 1:1.5
BuildRequires:	qt-designer-libs >= 3.3.0
BuildRequires:	qt-devel >= 6:3.3.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-libs
Requires:	OpenGL
Requires:	python-sip >= %{sipver}
Requires:	qscintilla >= 1:1.7.1
Obsoletes:	%{module}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1
%define		_sipfilesdir	%{_datadir}/sip

%description
PyQt is a set of Python bindings for the Qt toolkit. The bindings are
implemented as a set of Python modules: qt, qtcanvas, qtext, qtgl,
qtnetwork, qtsql, qttable, qtui and qtxml, and contains 300 classes
and over 5,750 functions and methods.

%description -l pl.UTF-8
PyQt to zbiór dowiązań do Qt dla Pythona. Dowiązania zostały
zaimplementowane jako moduły Pythona: qt, qtcanvas, qtext, qtgl,
qtnetwork, qtsql, qttable, qtui i qtxml - zawierają one 300 klas i
ponad 5 750 funkcji i metod.

%package devel
Summary:	Files needed to build other bindings based on Qt
Summary(pl.UTF-8):	Pliki potrzebne do budowania innych dowiązań bazowanych na Qt
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-sip-devel >= %{sipver}

%description devel
Files needed to build other bindings for C++ classes that inherit from
any of the Qt classes (e.g. KDE or your own).

%description devel -l pl.UTF-8
Pliki potrzebne do budowania innych dowiązań do klas C++
dziedziczących z dowolnej klasy Qt (np. KDE lub własnych).

%package examples
Summary:	Examples for PyQt
Summary(pl.UTF-8):	Przykłady do PyQt
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
Examples code demonstrating how to use the Python bindings for Qt.

%description examples -l pl.UTF-8
Przykładowy kod demonstrujący jak używać PyQt.

%prep
%setup -q -n %{module}-x11-gpl-%{version}
#%%patch0 -p1

%build
export QMAKESPEC="%{_datadir}/qt/mkspecs/default"
echo 'yes' | python configure.py \
	-c -j 3 \
	-b %{_bindir} \
	-d %{py_sitedir} \
	-n %{_includedir}/qt \
	-o %{_libdir} \
	-q %{_prefix} \
	-v %{_sipfilesdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/%{name}-%{version},%{_sipfilesdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
cp -R examples3/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

cp -R sip/* $RPM_BUILD_ROOT%{_sipfilesdir}

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README THANKS doc/PyQt.html
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{py_sitedir}/*.so*
%{py_sitedir}/*.py[co]

%files devel
%defattr(644,root,root,755)
%{_sipfilesdir}/pyqt*.sip
%dir %{_sipfilesdir}/qt*
%{_sipfilesdir}/qt*/*.sip

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-PyQt.spec,v $
Revision 1.77  2009/07/04 13:03:22  hawk
- updated to 3.18.1

Revision 1.76  2008/11/18 09:48:52  charles
- updated to 3.17.6

Revision 1.75  2008/10/11 13:02:47  shadzik
- rel 3 (rebuild with python 2.6 - requested by cactus)

Revision 1.74  2008/10/03 17:59:01  arekm
- release 2

Revision 1.73  2008-01-25 11:37:37  hawk
- updated to 3.17.4

Revision 1.72  2007-08-02 18:33:18  twittner
- rel. 1

Revision 1.71  2007/07/31 17:59:00  twittner
- up to 3.17.3

Revision 1.70  2007/04/26 09:14:39  matkor
- Version 3.17.2-1.

Revision 1.69  2007/04/11 01:56:16  shadzik
- 3.17.1
- updated BRs

Revision 1.68  2007/04/09 01:43:11  shadzik
mass attack: qt-devel epoch

Revision 1.67  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.66  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.65  2007/01/02 13:22:01  arekm
- rel 2

Revision 1.64  2006/11/14 08:44:39  matkor
- Release 1. STBR for Ac

Revision 1.63  2006/11/06 13:53:29  charles
- sip >= 2:4.5

Revision 1.62  2006/11/06 10:39:46  matkor
- Version 3.17-0.1. 64bit patch needs kill/review.

Revision 1.61  2006/10/07 08:31:55  pluto
- fix x86-64 build, release 2.

Revision 1.60  2006/09/25 10:27:31  rotom
- build with sip 4.4.5

Revision 1.59  2006/04/03 20:59:43  charles
- merge update to 3.16 from DEVEL

Revision 1.58  2006/02/18 10:21:48  qboosh
- typos

Revision 1.57  2006/02/18 03:11:17  charles
- cosmetics

Revision 1.56  2006/02/15 07:17:14  charles
- updated BR/R - s/sip-devel/python-sip-devel/

Revision 1.55  2006/02/15 05:54:14  charles
- sip-devel or python-sip instead of sip
- rm TODO
- rel. 2

Revision 1.54  2006/01/14 16:25:58  glen
- %py_postclean

Revision 1.53  2006/01/14 16:19:14  glen
- unify examples dir

Revision 1.52  2006/01/14 15:47:53  glen
- mark sip requring devel todo also here

Revision 1.51  2005/11/18 05:41:11  charles
- added -pyuic_accel.patch

Revision 1.50  2005/11/15 00:22:38  charles
- updated to 3.15.1
- STBR (proper qt 3.3.5 implementation)

Revision 1.49  2005/09/19 14:47:34  charles
- updated to 3.15
- BR/R sip up to >= 2:4.3
- BR: rpm-pythonprov is back

Revision 1.48  2005/06/04 20:11:25  charles
- BR: qt-designer-libs
- more desc

Revision 1.47  2005/03/10 10:29:19  charles
- BR: python, python-modules

Revision 1.46  2005/03/06 23:23:30  charles
- rm obsolete BR: rpm-pythonprov

Revision 1.45  2005/03/06 23:08:32  paszczus
- updated to 3.14.1

Revision 1.44  2005/02/21 01:01:30  charles
- BR qt-devel up to 3.3.0

Revision 1.43  2005/02/20 23:02:05  charles
- rel. 1

Revision 1.42  2005/02/20 14:59:55  charles
- updated to 3.14
- rel 0.1 (I'm waiting on qscintilla 1.5)

Revision 1.41  2004/12/24 21:51:05  arekm
- rel4

Revision 1.40  2004/12/24 13:46:35  troll
- rel 3 to rebuild with Python 2.4'
- proper package required by %%pyrequires_eq
- cosmetics

Revision 1.39  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.38  2004/10/16 13:29:11  matkor
- Really BR: recent qscintilla-devel.

Revision 1.37  2004/10/16 07:22:51  matkor
- Release 2. BR recent versions of sip and qscintilla. Ac STBR.

Revision 1.36  2004/09/23 13:40:14  undefine
- update to 3.13

Revision 1.35  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.34  2004/07/09 09:19:28  qboosh
- updated files (fixes build)

Revision 1.33  2004/05/27 18:19:50  qboosh
- update runtime sip deps as well

Revision 1.32  2004/05/26 17:14:36  zboczuch
- ver. 3.12
- BR: sip >= 3.1.2

Revision 1.31  2004/03/12 15:52:22  matkor
- Typo fixed. STBR for Ac (needs removal of python-PyQt* and dependants.

Revision 1.30  2004/03/12 11:34:49  matkor
- sipdir -> _sipfilesdir %{_datadir}/sip unification.

Revision 1.29  2004/03/12 11:16:20  qboosh
- no requires_eq sip, so proper "Requires: sip >=" must be used
- restored sipdir macro definition, this one is used later, not _sipfilesdir

Revision 1.28  2004/03/12 11:05:25  matkor
- Version 3.11-1. Lowered sip BR/R

Revision 1.27  2004/03/01 14:29:54  qboosh
- use optflags, release .2

Revision 1.26  2004/02/29 13:28:44  qboosh
- strict internal deps

Revision 1.25  2004/02/28 16:00:48  ankry
- formatting

Revision 1.24  2004/02/28 14:39:30  matkor
- Snap 20040226.

Revision 1.23  2004/02/28 13:36:49  matkor
- Version 3.11 snap 20040215. Release 1. Fixed build by using configure.py instead of build.py.

Revision 1.22  2004/01/19 01:11:21  undefine
- amd64 fixes, release 4(builder's killer)

Revision 1.21  2003/12/01 22:19:07  matkor
- Release 3. Ac rebuild with changed Pythons ABI.

Revision 1.20  2003/11/07 21:48:19  qboosh
- alpha needs at least -j 3 (too big .got section for linker otherwise);
  do it on all archs to lower memory consumption on builders
- fixed base/-devel split to make base usable; added .sip files to -devel
  (merged from RA-branch)
- release 2

Revision 1.19  2003/11/03 07:16:13  arekm
- updated to 3.8.1

Revision 1.18  2003/10/07 14:47:31  qboosh
- s/XFree86-OpenGL-devel/OpenGL-devel/

Revision 1.17  2003/08/18 08:37:51  luzik
 - added Epoch to BR qscintilla-devel

Revision 1.16  2003/08/18 08:09:30  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.15  2003/08/17 23:25:09  luzik
 - updated to 3.8
 - updated BR

Revision 1.14  2003/08/14 17:35:01  luzik
 - release 3

Revision 1.13  2003/08/09 21:11:01  luzik
 - follow moved qscintilla

Revision 1.12  2003/08/09 11:02:08  luzik
 - updated to 3.7
 - TODO done

Revision 1.11  2003/05/25 06:25:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/05/20 02:08:51  kloczek
- merge translations from MIZI.

Revision 1.9  2003/04/14 22:55:40  matkor
- prefix back to /usr. (last update should have gone to RA-branch :/ )

Revision 1.8  2003/04/14 22:53:00  matkor
- snap 20030413. NFY: import qt -> libqtcmodule.so: undefined symbol: metaObject__C9QSGIStyle.

Revision 1.7  2003/02/26 12:32:23  qboosh
- cleanups after updates, removed unnecessary and ugly BR: qt-static
- force non-interactive build

Revision 1.6  2003/02/25 21:40:56  misiek
- updates by Maciej Świniarski (luzik) <luzik@ds.pg.gda.pl>

Revision 1.5  2003/01/18 22:56:17  juandon
- removed two lines with define

Revision 1.4  2002/12/23 10:30:22  qboosh
- updated Source0 URL (but there is only newer version)

Revision 1.3  2002/11/30 23:00:26  juandon
- new %%doc

Revision 1.2  2002/11/26 10:57:10  ankry
- 2nd .la file attributes massive attack

Revision 1.1  2002/04/28 11:03:22  misiek
- initial pld release
